curl --request POST \
--url https://app.famulor.io/api/v1/calls/whatsapp-outbound \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to_number": "<string>",
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.famulor.io/api/v1/calls/whatsapp-outbound"
payload = {
"connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to_number": "<string>",
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connector_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
to_number: '<string>',
assistant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.famulor.io/api/v1/calls/whatsapp-outbound', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direction": "inbound",
"status": "queued",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_number": "<string>",
"to_number": "<string>",
"failure": {
"domain": "telephony",
"code": "busy",
"message": "<string>",
"retryable": true,
"action": "retry_later",
"operation": "outbound_call"
},
"started_at": "2023-11-07T05:31:56Z",
"answered_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"duration_sec": 123,
"transcript": {
"items": [
{
"type": "message",
"role": "user",
"content": [
"<string>"
],
"id": "<string>",
"interrupted": true,
"timeline_seq": 2,
"logical_turn_id": "<string>",
"started_at": 123,
"created_at": 123
}
]
},
"summary": "<string>",
"evaluation": "<unknown>",
"analysis": {
"sentiment": "positive",
"success": true,
"success_reason": "<string>",
"data": {},
"model": "<string>",
"analyzed_at": "2023-11-07T05:31:56Z"
},
"sentiment": "positive",
"success": true,
"metadata": {},
"qa_scorecard": {},
"qa_score": 123,
"qa_passed": true
}
}Start outbound WhatsApp voice call
Place a WhatsApp voice call via the platform WhatsApp voice connector. Required scope: calls:write. Plan flag whatsapp_voice required.
Authorizations
API key (fam_..., created under Settings → API Keys) or an OAuth 2.0 access token (fam_at_...). REST operations also require API Access for the credential's workspace. Keys can be restricted to scopes such as assistants:read, calls:write, campaigns:write, automations:read, dashboards:read, dashboards:write, leads:write, segments:write, loop:read, loop:write, phone_numbers:write, sip_trunks:write, knowledge:write, voices:read, billing:read, settings:write, platform:read, platform:write; a *:write scope implies the matching *:read. Automation and dashboard endpoints also accept the legacy calls:* scope. Keys without scope restrictions have full access within the workspace's available capabilities.
Body
Response
Call row created and dial started.
Show child attributes
Show child attributes